diff -uNr texinfo-6.5.orig/fink/info.menu texinfo-6.5/fink/info.menu
--- texinfo-6.5.orig/fink/info.menu	1969-12-31 19:00:00.000000000 -0500
+++ texinfo-6.5/fink/info.menu	2017-09-13 06:35:50.000000000 -0400
@@ -0,0 +1,2 @@
+?package(info): needs="text" title="Info" section="Help" \
+  longtitle="GNU Info browser" command="info"
diff -uNr texinfo-6.5.orig/fink/info.mime texinfo-6.5/fink/info.mime
--- texinfo-6.5.orig/fink/info.mime	1969-12-31 19:00:00.000000000 -0500
+++ texinfo-6.5/fink/info.mime	2017-09-13 06:35:50.000000000 -0400
@@ -0,0 +1 @@
+application/x-info; @FINKPREFIX@/bin/info -f '%s'; needsterminal; description=GNU Info document
diff -uNr texinfo-6.5.orig/fink/install-info.1 texinfo-6.5/fink/install-info.1
--- texinfo-6.5.orig/fink/install-info.1	1969-12-31 19:00:00.000000000 -0500
+++ texinfo-6.5/fink/install-info.1	2017-09-13 06:35:50.000000000 -0400
@@ -0,0 +1,29 @@
+.TH INSTALL-INFO 1
+.\" NAME should be all caps, SECTION should be 1-8, maybe w/ subsection
+.\" other parms are allowed: see man(7), man(1)
+.SH NAME
+install-info \- wrapper around GNU install-info
+.SH SYNOPSIS
+.B install-info
+.I "[options]"
+.br
+.SH DESCRIPTION
+This manual page documents briefly the
+.BR install-info
+command.
+This manual page was written for the Debian GNU/Linux distribution
+because the original script was designed for Debian packaging system.
+.PP
+.B install-info
+is a wrapper around GNU install-info. If it is called from a normal
+shell or script it acts like GNU install-info by forwarding all options
+to ginstall-info.
+.PP
+If it is called from a maintainer script it gives a warning to rebuild
+packages and does nothing, since info file installation is now done
+via triggers.
+.SH OPTIONS
+Same as with GNU install-info, see ginstall-info(1).
+.SH AUTHOR
+This manual page was written by Norbert Preining <preining@logic.at>,
+for the Debian GNU/Linux system (but may be used by others).
diff -uNr texinfo-6.5.orig/fink/install-info.sh texinfo-6.5/fink/install-info.sh
--- texinfo-6.5.orig/fink/install-info.sh	1969-12-31 19:00:00.000000000 -0500
+++ texinfo-6.5/fink/install-info.sh	2017-09-13 06:35:50.000000000 -0400
@@ -0,0 +1,36 @@
+#!/bin/sh
+#
+# Wrapper to the GNU's install-info, to be compatible with the one that used to
+# be packaged by dpkg on Debian.
+#
+# written by Norbert Preining, this is not copyrightable ;-)
+#
+set -e
+
+if [ -z "$DPKG_RUNNING_VERSION" ] ; then
+  # it seems we are running from outside a maintainer script, so give a
+  # warning and call ginstall-info without anything else
+  echo "This is not dpkg install-info anymore, but GNU install-info" >&2
+  echo "See the man page for ginstall-info for command line arguments" >&2
+  @FINKPREFIX@/bin/ginstall-info "$@"
+else 
+  # we are running from a maintainer script, simply ignore the call
+  # since we have trigger support and people should rebuild their
+  # package with new debhelper which does not add calls to install-info
+  # Do not complain if called with "--remove" or "--remove-exactly",
+  # as these are used in old packages' prerm scripts (see #546165)
+  while [ -n "$1" ]; do
+    case "$1" in
+      --remove|--remove-exactly)
+        exit 0
+        ;;
+      *)
+        shift
+        ;;
+    esac
+  done
+  echo "Ignoring install-info called from maintainer script" >&2
+  echo "The package $DPKG_MAINTSCRIPT_PACKAGE should be rebuilt with new debhelper to get trigger support" >&2
+fi
+
+
diff -uNr texinfo-6.5.orig/fink/install-info.triggers texinfo-6.5/fink/install-info.triggers
--- texinfo-6.5.orig/fink/install-info.triggers	1969-12-31 19:00:00.000000000 -0500
+++ texinfo-6.5/fink/install-info.triggers	2017-09-13 06:35:50.000000000 -0400
@@ -0,0 +1 @@
+interest-noawait @FINKPREFIX@/share/info
diff -uNr texinfo-6.5.orig/fink/patches/dont_build_info texinfo-6.5/fink/patches/dont_build_info
--- texinfo-6.8.orig/fink/patches/dont_build_info	1969-12-31 19:00:00.000000000 -0500
+++ texinfo-6.8/fink/patches/dont_build_info	2021-08-26 04:59:42.000000000 -0500
@@ -0,0 +1,39 @@
+dont build the info documentation, it has been removed
+---
+ doc/Makefile.in |   12 ++++++++----
+ 1 file changed, 8 insertions(+), 4 deletions(-)
+
+--- texinfo.orig/doc/Makefile.in
++++ texinfo/doc/Makefile.in
+@@ -259,14 +259,16 @@
+ am__v_texidevnull_ = $(am__v_texidevnull_@AM_DEFAULT_V@)
+ am__v_texidevnull_0 = > /dev/null
+ am__v_texidevnull_1 = 
+-INFO_DEPS = texinfo.info info-stnd.info
++#INFO_DEPS = texinfo.info info-stnd.info
++INFO_DEPS =
+ TEXINFO_TEX = $(top_srcdir)/build-aux/texinfo.tex
+ am__TEXINFO_TEX_DIR = $(top_srcdir)/build-aux
+ DVIS = texinfo.dvi info-stnd.dvi
+ PDFS = texinfo.pdf info-stnd.pdf
+ PSS = texinfo.ps info-stnd.ps
+ HTMLS = texinfo.html info-stnd.html
+-TEXINFOS = texinfo.texi info-stnd.texi
++TEXINFOS = texinfo.texi info-stnd.texi
++#TEXINFOS =
+ TEXI2PDF = $(TEXI2DVI) --pdf --batch
+ MAKEINFOHTML = $(MAKEINFO) --html
+ AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
+@@ -1138,8 +1140,10 @@
+ top_builddir = @top_builddir@
+ top_srcdir = @top_srcdir@
+ SUBDIRS = tp_api
+-info_TEXINFOS = texinfo.texi info-stnd.texi
+-DISTCLEANFILES = texinfo.info* info-stnd.info*
++info_TEXINFOS = texinfo.texi info-stnd.texi
++DISTCLEANFILES = texinfo.info* info-stnd.info*
++#info_TEXINFOS =
++#DISTCLEANFILES =
+ MAKEINFO_ENVIRONMENT = TEXINFO_DEV_SOURCE=1 ; export TEXINFO_DEV_SOURCE ; \
+                        top_srcdir="$(top_srcdir)" ; export top_srcdir ; \
+                        top_builddir="$(top_builddir)" ; export top_builddir ;
diff -uNr texinfo-6.5.orig/fink/patches/numerical-signal-names texinfo-6.5/fink/patches/numerical-signal-names
--- texinfo-6.5.orig/fink/patches/numerical-signal-names	1969-12-31 19:00:00.000000000 -0500
+++ texinfo-6.5/fink/patches/numerical-signal-names	2017-09-13 06:48:57.000000000 -0400
@@ -0,0 +1,48 @@
+replace numerical signal names with symbolical
+---
+ contrib/fix-info-dir |    6 +++---
+ contrib/fixfonts     |    2 +-
+ util/texi2dvi        |    2 +-
+ 3 files changed, 5 insertions(+), 5 deletions(-)
+
+--- texinfo.orig/util/texi2dvi
++++ texinfo/util/texi2dvi
+@@ -1985,7 +1985,7 @@
+              $SED "s,^$orig_pwd/,,;s,^\./,,;s,/,!,g"`
+   esac
+   # Remove it at exit if clean mode.
+-  trap "cleanup" 0 1 2 15
++  trap "cleanup" 0 HUP INT TERM
+ 
+   ensure_dir "$build_dir" "$t2ddir"
+ 
+--- texinfo.orig/contrib/fix-info-dir
++++ texinfo/contrib/fix-info-dir
+@@ -255,13 +255,13 @@
+ 
+ trap ' eval "$DEBUG"; rm -f $TMP_FILE_LIST; exit ' 0
+ trap ' rm -f $TMP_FILE_LIST
+-	exit ' 1
++	exit ' HUP
+ trap ' rm -f $TMP_FILE_LIST
+ 	echo "$0:$LINENO: received INT signal.">&2
+-	exit ' 2
++	exit ' INT
+ trap ' rm -f $TMP_FILE_LIST
+ 	echo "$0:$LINENO: received QUIT signal.">&2
+-	exit ' 3
++	exit ' QUIT
+ 
+ sed -e "1,/$MENU_BEGIN/d" -e "$MENU_FILTER1" -e "$MENU_FILTER2"<$DIR_FILE\
+ |sed -n -e '/\* /{
+--- texinfo.orig/contrib/fixfonts
++++ texinfo/contrib/fixfonts
+@@ -33,7 +33,7 @@
+ tempfile2="${TMPDIR}/circ2$$"
+ 
+ # EXIT SIGHUP SIGINT SIGQUIT SIGTERM
+-#trap 'rm -f "${tempfile}" "${tempfile2}"' 0 1 2 3 15
++#trap 'rm -f "${tempfile}" "${tempfile2}"' 0 HUP INT QUIT TERM
+ 
+ # Find all the fonts with names that include `circle'.
+ (cd "${texfontdir}"; find . -name '*circle*' -print > "${tempfile}")
diff -uNr texinfo-6.5.orig/fink/patches/warn_missing_tex texinfo-6.5/fink/patches/warn_missing_tex
--- texinfo-6.5.orig/fink/patches/warn_missing_tex	1969-12-31 19:00:00.000000000 -0500
+++ texinfo-6.5/fink/patches/warn_missing_tex	2017-09-13 06:47:51.000000000 -0400
@@ -0,0 +1,18 @@
+20_warn_missing_tex.dpatch by  <preining@logic.at>
+
+---
+ util/texi2dvi |    3 +++
+ 1 file changed, 3 insertions(+)
+
+--- texinfo.orig/util/texi2dvi
++++ texinfo/util/texi2dvi
+@@ -1905,6 +1905,9 @@
+ 
+ For information about obtaining TeX, please see http://tug.org/texlive,
+ or do a web search for TeX and your operating system or distro.
++
++On Fink you can install a working TeX system with
++  fink install texlive
+ EOM
+     exit 1
+   fi
diff -uNr texinfo-6.5.orig/fink/texi2pdf.man texinfo-6.5/fink/texi2pdf.man
--- texinfo-6.5.orig/fink/texi2pdf.man	1969-12-31 19:00:00.000000000 -0500
+++ texinfo-6.5/fink/texi2pdf.man	2017-09-13 06:35:50.000000000 -0400
@@ -0,0 +1,49 @@
+.TH "texi2pdf" "1" "September 2000" "teTeX" "teTeX" 
+.PP 
+.SH "NAME" 
+texi2pdf \- create a PDF file from a Texinfo file
+.PP 
+.SH "SYNOPSIS" 
+.PP 
+\fBtexi2pdf\fP [ \fIOPTION\fP\&.\&.\&. ]  \fIFILE\fP\&.\&.\&.
+.PP 
+.SH "DESCRIPTION" 
+.PP 
+\fBtexi2pdf\fP sets the \fBTEX\fP environment variable to
+\fBpdftex\fP(1) and runs \fBtexi2dvi\fP(1), passing all options to
+\fBtexi2dvi\fP(1)\&.
+.PP 
+.SH "OPTIONS" 
+.PP 
+See \fBtexi2dvi\fP(1) for relevant options\&.
+.PP 
+.SH "ENVIRONMENT" 
+.PP 
+.IP 
+.IP "\fBTEX\fP" 
+set to \fBpdftex\fP(1) by the script
+.IP 
+.PP 
+.SH "SEE ALSO" 
+.PP 
+\fBpdftex\fP(1), \fBtexi2dvi\fP(1), \fBtexinfo\fP(5)\&.
+.PP 
+.SH "BUGS" 
+.PP 
+Problems with this script should be reported to the author or to the
+teTeX list, <tetex@dbs\&.uni-hannover\&.de> (mailing list)\&. 
+.PP 
+Problems with \fBtexi2dvi\fP(1) should be reported to Karl Berry,
+the texinfo maintainer, at <bug-texinfo@gnu\&.org> (mailing list)
+.PP 
+.SH "AUTHOR" 
+.PP 
+Written by Thomas Esser 
+<te@dbs\&.uni-hannover\&.de>\&.
+.PP 
+This manual page was written by C\&.M\&. Connelly
+<c@eskimo\&.com>, for
+the Debian GNU/Linux system\&.  It may be used by other distributions
+without contacting the author\&.  Any mistakes or omissions in the
+manual page are my fault; inquiries about or corrections to this
+manual page should be directed to me (and not to the primary author)\&.
diff -uNr texinfo-6.5.orig/fink/transition-plan.txt texinfo-6.5/fink/transition-plan.txt
--- texinfo-6.5.orig/fink/transition-plan.txt	1969-12-31 19:00:00.000000000 -0500
+++ texinfo-6.5/fink/transition-plan.txt	2017-09-13 06:35:50.000000000 -0400
@@ -0,0 +1,120 @@
+Proposal to replace Debian's install-info with GNU's install-info
+=================================================================
+Nicolas Fran?ois <nicolas.francois@centraliens.net>
+Norbert Preining <preining@debian.org>
+Nathanael Nerode <neroden@fastmail.fm>
+debian-dpkg@lists.debian.org
+texinfo@packages.debian.org
+
+Goals
+=====
+ * Replace dpkg's install-info by the GNU's install-info
+ * Ease the recovery of a corrupted info dir file by allowing a generation
+   from scratch
+
+Rational
+========
+ * info files are mostly used by GNU packages. The format of these files
+   is described by the GNU texinfo package, and the support for new
+   features is added to the GNU's install-info (ginstall-info on Debian),
+   and not in dpkg's install-info (e.g. support for documents with more
+   than one section: #139569).
+ * /usr/share/info/dir integrates information from different packages. A
+   package can break what has been registered by another one, without any
+   possibility to fix it (itself). Thus it would be better to be prepared
+   for regenerating a dir file from scratch at any time.
+
+Transition proposal
+===================
+ + Changes in dpkg
+   - replace dpkg's install-info by a script which just issues a warning,
+     or exit silently.
+     This script could be removed for Lenny+1 or 2.
+     install-info should no more be essential, it is only needed when the
+     info viewer is installed to search the info pages.
+
+ + Changes in texinfo
+   - a new install-info package replaces dpkg's install-info
+   - This install-info should support the current dpkg's install-info
+     options (i.e. no failures, but not necessarily registering the info
+     file)
+     IMO, this install-info should be compatible with the GNU's install
+     info, and when it detects that it is used by a old Debian package, it
+     should do nothing (or just warn and recommend using update-info-dir,
+     see below).
+      * this should provide a compatibility with packages not installed
+        from a Debian package (make && make install)
+      * and should not block the installation of old packages
+      * full compatibility with current dpkg's install-info would be nice,
+        but is not required
+   - Add an update-info-dir script. This script should just delete the dir
+     file and then call the GNU's install-info with all the info files.
+     (see also the previous mails from Ian Zimmerman, and his patch for
+     --generate in install-info)
+
+   - When installed for the first time (or first time >= version xxx),
+     it should call update-info-dir.
+     * There may be an issue with local softwares (not Debian packages)
+       => maybe add a debconf question / NEWS entry?
+     * What options should be used when installing the old info files?
+   - Add support for multiple dir files in the info viewer.
+     This would permit update-info-dir to use the
+     --dir-file /usr/share/info/debian-dir option.
+     /usr/share/info/dir (and /usr/local/share/info/dir) could be used for
+     non Debian's info files.
+   - Fix some regressions from dpkg's install-info.
+     (IIRC an alignment regression was mentioned with GNU's texinfo)
+
+ + Changes in packages installing info files
+   - Note: According to an i386 Contents file, there are 2220 info
+     files, in 403 packages
+   - These packages should just drop their info files in /usr/share/info,
+     and call the update-info-dir script if present (postinst and prerm).
+     They could suggest/recommend the info package.
+   - Packages using dh_installinfo should just depends on a new debhelper
+     version.
+   - The info files must be self sufficient (e.g. the section must be
+     specified in the info file), so that they do not require any special
+     install-info options when they are registered.
+   - A review of all these packages (maintainer scripts & info files) will
+     be needed.
+
+ + Changes in dh_installinfo
+   - Instead of calling install-info, test if update-info-dir is present,
+     then call it. Same on postinst and prerm.
+
+   dh_installinfo is very simple, so I don't think more changes are
+   needed.
+
+ + manuals
+   - policy
+     * the policy mentions install-info, and has a section about Info
+       documents. Some changes may be required (e.g. require that the
+       info files are self sufficient, and mention update-info-dir)
+   - Other documents?
+
+Note: In this proposal, I did not consider an issue that some info files of
+old packages are not installed with the new install-info.
+
+Timeline
+========
+These steps do not need synchronization, and could start right now.
+ * better analysis for the requirements of the install-info script in texinfo
+ * packages could also fix their info file, in order to avoid using
+   install-info options (e.g. many do not specify the section)
+   - patches could be sent to all packages with info file which use
+     install-info options
+ * prepare a proposal for the policy
+
+The following steps probably need to happen in that order:
+ * upload texinfo with install-info and update-info-dir
+ * upload debhelper.
+ * new policy (I don't think there is a strong need for synchronization of
+   this step)
+ * file bugs with blockers to keep track of the transition
+ * fix all packages (for most of them, it will be just increasing the
+   debhelper version in the build dependencies)
+ * upload empty install-info in dpkg (no need to wait for the end of the
+   previous step).
+
+
diff -uNr texinfo-6.5.orig/fink/update-info-dir texinfo-6.5/fink/update-info-dir
--- texinfo-6.5.orig/fink/update-info-dir	1969-12-31 19:00:00.000000000 -0500
+++ texinfo-6.5/fink/update-info-dir	2017-09-13 06:35:50.000000000 -0400
@@ -0,0 +1,82 @@
+#!/bin/bash
+# update-info-dir
+# create a dir file from all installed info files
+# Copyright 2009 Norbert Preining
+# GPLv2
+
+INFODIR=@FINKPREFIX@/share/info
+
+set -e
+
+#
+# since user's environment is taken over into root account when sudo-ing
+# we don't want that one's user LANGUAGE setting changes the messages in
+# the dir file. Unset LANGUAGE and reload /etc/environment to get
+# the system wide settings. See bug #536476
+unset LANGUAGE
+unset LANG
+if [ -r @FINKPREFIX@/etc/environment ] ; then
+  . @FINKPREFIX@/etc/environment
+fi
+if [ -r @FINKPREFIX@/etc/default/locale ] ; then
+  . @FINKPREFIX@/etc/default/locale
+fi
+
+Help ()
+{
+    echo "\
+SYNOPSIS: update-info-dir [-h,--help] [info-directory]
+
+(re-)creates the index of available documentation in info format
+(the file @FINKPREFIX@/share/info/dir) which is usually presented by info browsers
+on startup."
+
+    exit 0
+}
+
+
+if [ "$1" = "-h" ] || [ "$1" == "--help" ]; then
+    Help
+fi
+
+if [ -n "$1" ] ; then
+  INFODIR="$1"
+fi
+
+if [ ! -d "$INFODIR" ] ; then
+  echo "Not a directory: $INFODIR." >&2
+  exit 1
+fi
+
+if [ -r "$INFODIR/dir" ] ; then
+  rm -f "$INFODIR/dir.old"
+  cp $INFODIR/dir $INFODIR/dir.old
+fi
+
+# we have to remove the dir file not make ginstall-info being surprised
+rm -f "$INFODIR/dir"
+
+errors=0
+find "$INFODIR" -type f | while read file ; do
+  case $file in
+    */dir|*/dir.gz|*/dir.old|*/dir.old.gz|*-[0-9]|*-[0-9].gz|*-[1-9][0-9]|*-[1-9][0-9].gz|*.png|*/dir.bak)
+      # these files are ignored
+      continue
+      ;;
+    *)
+      ginstall-info "$file" "$INFODIR/dir" || {
+        errors=$[errors+1]
+      }
+      ;;
+  esac
+done
+
+if [ $errors -gt 0 ] ; then
+  exec >&2
+  echo
+  echo "Updating the index of info documentation produced $errors errors."
+fi
+
+exit 0
+
+# vim:set expandtab tabstop=2: #
diff -uNr texinfo-6.5.orig/fink/update-info-dir.8 texinfo-6.5/fink/update-info-dir.8
--- texinfo-6.5.orig/fink/update-info-dir.8	1969-12-31 19:00:00.000000000 -0500
+++ texinfo-6.5/fink/update-info-dir.8	2017-09-13 06:35:50.000000000 -0400
@@ -0,0 +1,34 @@
+.TH UPDATE-INFO-DIR 8
+.\" NAME should be all caps, SECTION should be 1-8, maybe w/ subsection
+.\" other parms are allowed: see man(7), man(1)
+.SH NAME
+update-info-dir \- update or create index file
+from all installed info files in directory
+.SH SYNOPSIS
+.B update-info-dir
+.I "[options]"
+.B [directory]
+.br
+.SH DESCRIPTION
+Update, or create, the index file
+.I dir
+of available documentation in
+@FINKPREFIX@/share/info/ (the default) or in given DIRECTORY. The
+index file
+.I info
+is the directory is usually presented by info browsers on startup.
+.SH OPTIONS
+.TP
+.B \-h,--help
+Display help and exit.
+.PP
+.SH SEE ALSO
+emacs(1)
+info(1)
+install-info(1)
+.SH AUTHOR
+This manual page was written by Norbert Preining <preining@logic.at>,
+for the Debian GNU/Linux system (but may be used by others).
+
+This manual page was written for the Debian GNU/Linux distribution
+because the original script was designed for Debian packaging system.
